function p.__get_is_solid() return true end
function p.__get_tex() return "block_chem" end

function p.__main()
    set_default_block("r_chem")
    
    create_rect("e", 1,1,1, 14,14,14)
    --Door.
    create_rect("s", 5,0,5, 9,0,9)
    create_rect("e", 6,0,6, 8,0,8)
    
    local msg_str = "If you use a diamond basic entities "
        .. "nearby, you will pick it up and gain a diamond.\n\n"
        .. "The diamond basic entity script is\n"
        .. "BasicEnts/bent_diamond.lua\n"
        .. "You can read that file to see how it works."
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    add_bent(2,13,2, "bent_diamond")
    add_bent(2,13,4, "bent_diamond")
    add_bent(2,13,6, "bent_diamond")
    add_bent(2,13,8, "bent_diamond")
    add_bent(2,13,10, "bent_diamond")
    add_bent(2,13,12, "bent_diamond")
end
